Bug 145621 - Integrated command-line delete/undelete
Integrated command-line delete/undelete
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
7
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-19 23:11 EST by Christopher Beland
Modified: 2009-01-12 03:13 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-29 05:03:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christopher Beland 2005-01-19 23:11:04 EST
Red Hat Linux used to include the safedelete package, which provides a
file deletion facility that, unlike rm, has a convenient "undelete"
feature.  MIT deploys a similar package on Athena, its campus-wide
Unix-based academic computing system.  In general, this is a sensible
practice that helps mitigate the costs and risks of human error at the
command line.

Nautilus is tightly integrated into Fedora, and provides users a GUI
with undeletion capabilities.  A command-line delete/undelete facility
which shared Nautilus' trash bin would continue this tight integration
for the benefit of more advanced users and those who prefer keyboard
input for mobility or other reasons.
Comment 1 Matthew Miller 2006-07-10 18:28:18 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 2 Christopher Beland 2007-08-26 15:41:54 EDT
Still missing from Fedora 7, as far as I know.
Comment 3 Alexander Larsson 2007-08-29 05:03:33 EDT
It would be easy to add a trash command to gnome-vfs, and in fact the work in
progress project "gvfs" to replace gnome-vfs already has a gvfs-trash command to
trash files. However, such proposals should be handled upstream, not as
fedora-specific features. 

I don't personally think it makes sense to add to gnome-vfs at this point. We
should spend time on the future instead of the past. But if anyone wants to do
it it should be easy.
Comment 4 Christopher Beland 2009-01-12 03:13:28 EST
A gvfs-trash command appears in gvfs-0.2.5-1.fc9.i386 and gvfs-1.1.3-2.fc11.x86_64, and no doubt versions in between.  Neat!

Note You need to log in before you can comment on or make changes to this bug.